package com.tutego.insel.thread;

import java.util.Date;

class DateThreadAutoStart implements Runnable
{
  DateThreadAutoStart()
  {
    new Thread( this ).start();
  }
  
  @Override public void run()
  {
    for ( int i = 0; i < 20; i++ )
      System.out.println( new Date() );
  }
}
